Module org.hsqldb
Package org.hsqldb.server

## Class PgType

- java.lang.Object
- - org.hsqldb.server.PgType

-     public class PgType
      extends java.lang.Object

  Postgres types.
  Since:
    1.9.0
  Author:
    Blaine Simpson (blaine dot simpson at admc dot com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `TYPE_ABSTIME` |
    `static int` | `TYPE_BIT` |
    `static int` | `TYPE_BLOB` |
    `static int` | `TYPE_BOOL` |
    `static int` | `TYPE_BOX` |
    `static int` | `TYPE_BPCHAR` |
    `static int` | `TYPE_BPCHARARRAY` |
    `static int` | `TYPE_BYTEA` |
    `static int` | `TYPE_CHAR` |
    `static int` | `TYPE_CHAR2` |
    `static int` | `TYPE_CHAR4` |
    `static int` | `TYPE_CHAR8` |
    `static int` | `TYPE_CID` |
    `static int` | `TYPE_CIDR` |
    `static int` | `TYPE_DATE` |
    `static int` | `TYPE_DATETIME` |
    `static int` | `TYPE_FILENAME` |
    `static int` | `TYPE_FLOAT4` |
    `static int` | `TYPE_FLOAT8` |
    `static int` | `TYPE_INET` |
    `static int` | `TYPE_INT2` |
    `static int` | `TYPE_INT2VECTOR` |
    `static int` | `TYPE_INT4` |
    `static int` | `TYPE_INT8` |
    `static int` | `TYPE_LSEG` |
    `static int` | `TYPE_MACADDR` |
    `static int` | `TYPE_MONEY` |
    `static int` | `TYPE_NAME` |
    `static int` | `TYPE_NUMERIC` |
    `static int` | `TYPE_OID` |
    `static int` | `TYPE_OIDINT2` |
    `static int` | `TYPE_OIDINT4` |
    `static int` | `TYPE_OIDNAME` |
    `static int` | `TYPE_OIDVECTOR` |
    `static int` | `TYPE_PATH` |
    `static int` | `TYPE_POINT` |
    `static int` | `TYPE_POLYGON` |
    `static int` | `TYPE_RECORD` |
    `static int` | `TYPE_REGPROC` |
    `static int` | `TYPE_RELTIME` |
    `static int` | `TYPE_SET` |
    `static int` | `TYPE_TEXT` |
    `static int` | `TYPE_TEXTARRAY` |
    `static int` | `TYPE_TID` |
    `static int` | `TYPE_TIME` |
    `static int` | `TYPE_TIME_WITH_TMZONE` |
    `static int` | `TYPE_TIMESTAMP` |
    `static int` | `TYPE_TIMESTAMP_NO_TMZONE` |
    `static int` | `TYPE_TINTERVAL` |
    `static int` | `TYPE_TINYINT` |
    `static int` | `TYPE_UNKNOWN` |
    `static int` | `TYPE_UUID` |
    `static int` | `TYPE_VARBIT` |
    `static int` | `TYPE_VARCHAR` |
    `static int` | `TYPE_VARCHARARRAY` |
    `static int` | `TYPE_VOID` |
    `static int` | `TYPE_XID` |
    `static int` | `TYPE_XML` |
    `static int` | `TYPE_XMLARRAY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLPConstraint()` |
    `int` | `getOid()` |
    `java.lang.Object` | `getParameter​(java.lang.String inString, org.hsqldb.Session session)` | This method copied from JDBCPreparedStatement.java.
    `static PgType` | `getPgType​(org.hsqldb.types.Type hType)` |
    `int` | `getTypeWidth()` |
    `java.lang.String` | `valueString​(java.lang.Object datum)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_BOOL

          public static final int TYPE_BOOL

      See Also:
        Constant Field Values

    - #### TYPE_BYTEA

          public static final int TYPE_BYTEA

      See Also:
        Constant Field Values

    - #### TYPE_CHAR

          public static final int TYPE_CHAR

      See Also:
        Constant Field Values

    - #### TYPE_NAME

          public static final int TYPE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_INT8

          public static final int TYPE_INT8

      See Also:
        Constant Field Values

    - #### TYPE_INT2

          public static final int TYPE_INT2

      See Also:
        Constant Field Values

    - #### TYPE_INT2VECTOR

          public static final int TYPE_INT2VECTOR

      See Also:
        Constant Field Values

    - #### TYPE_INT4

          public static final int TYPE_INT4

      See Also:
        Constant Field Values

    - #### TYPE_REGPROC

          public static final int TYPE_REGPROC

      See Also:
        Constant Field Values

    - #### TYPE_TEXT

          public static final int TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_OID

          public static final int TYPE_OID

      See Also:
        Constant Field Values

    - #### TYPE_TID

          public static final int TYPE_TID

      See Also:
        Constant Field Values

    - #### TYPE_XID

          public static final int TYPE_XID

      See Also:
        Constant Field Values

    - #### TYPE_CID

          public static final int TYPE_CID

      See Also:
        Constant Field Values

    - #### TYPE_OIDVECTOR

          public static final int TYPE_OIDVECTOR

      See Also:
        Constant Field Values

    - #### TYPE_SET

          public static final int TYPE_SET

      See Also:
        Constant Field Values

    - #### TYPE_XML

          public static final int TYPE_XML

      See Also:
        Constant Field Values

    - #### TYPE_XMLARRAY

          public static final int TYPE_XMLARRAY

      See Also:
        Constant Field Values

    - #### TYPE_CHAR2

          public static final int TYPE_CHAR2

      See Also:
        Constant Field Values

    - #### TYPE_CHAR4

          public static final int TYPE_CHAR4

      See Also:
        Constant Field Values

    - #### TYPE_CHAR8

          public static final int TYPE_CHAR8

      See Also:
        Constant Field Values

    - #### TYPE_POINT

          public static final int TYPE_POINT

      See Also:
        Constant Field Values

    - #### TYPE_LSEG

          public static final int TYPE_LSEG

      See Also:
        Constant Field Values

    - #### TYPE_PATH

          public static final int TYPE_PATH

      See Also:
        Constant Field Values

    - #### TYPE_BOX

          public static final int TYPE_BOX

      See Also:
        Constant Field Values

    - #### TYPE_POLYGON

          public static final int TYPE_POLYGON

      See Also:
        Constant Field Values

    - #### TYPE_FILENAME

          public static final int TYPE_FILENAME

      See Also:
        Constant Field Values

    - #### TYPE_CIDR

          public static final int TYPE_CIDR

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT4

          public static final int TYPE_FLOAT4

      See Also:
        Constant Field Values

    - #### TYPE_FLOAT8

          public static final int TYPE_FLOAT8

      See Also:
        Constant Field Values

    - #### TYPE_ABSTIME

          public static final int TYPE_ABSTIME

      See Also:
        Constant Field Values

    - #### TYPE_RELTIME

          public static final int TYPE_RELTIME

      See Also:
        Constant Field Values

    - #### TYPE_TINTERVAL

          public static final int TYPE_TINTERVAL

      See Also:
        Constant Field Values

    - #### TYPE_UNKNOWN

          public static final int TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### TYPE_MONEY

          public static final int TYPE_MONEY

      See Also:
        Constant Field Values

    - #### TYPE_OIDINT2

          public static final int TYPE_OIDINT2

      See Also:
        Constant Field Values

    - #### TYPE_MACADDR

          public static final int TYPE_MACADDR

      See Also:
        Constant Field Values

    - #### TYPE_INET

          public static final int TYPE_INET

      See Also:
        Constant Field Values

    - #### TYPE_OIDINT4

          public static final int TYPE_OIDINT4

      See Also:
        Constant Field Values

    - #### TYPE_OIDNAME

          public static final int TYPE_OIDNAME

      See Also:
        Constant Field Values

    - #### TYPE_TEXTARRAY

          public static final int TYPE_TEXTARRAY

      See Also:
        Constant Field Values

    - #### TYPE_BPCHARARRAY

          public static final int TYPE_BPCHARARRAY

      See Also:
        Constant Field Values

    - #### TYPE_VARCHARARRAY

          public static final int TYPE_VARCHARARRAY

      See Also:
        Constant Field Values

    - #### TYPE_BPCHAR

          public static final int TYPE_BPCHAR

      See Also:
        Constant Field Values

    - #### TYPE_VARCHAR

          public static final int TYPE_VARCHAR

      See Also:
        Constant Field Values

    - #### TYPE_DATE

          public static final int TYPE_DATE

      See Also:
        Constant Field Values

    - #### TYPE_TIME

          public static final int TYPE_TIME

      See Also:
        Constant Field Values

    - #### TYPE_TIMESTAMP_NO_TMZONE

          public static final int TYPE_TIMESTAMP_NO_TMZONE

      See Also:
        Constant Field Values

    - #### TYPE_DATETIME

          public static final int TYPE_DATETIME

      See Also:
        Constant Field Values

    - #### TYPE_TIME_WITH_TMZONE

          public static final int TYPE_TIME_WITH_TMZONE

      See Also:
        Constant Field Values

    - #### TYPE_TIMESTAMP

          public static final int TYPE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TYPE_NUMERIC

          public static final int TYPE_NUMERIC

      See Also:
        Constant Field Values

    - #### TYPE_RECORD

          public static final int TYPE_RECORD

      See Also:
        Constant Field Values

    - #### TYPE_VOID

          public static final int TYPE_VOID

      See Also:
        Constant Field Values

    - #### TYPE_UUID

          public static final int TYPE_UUID

      See Also:
        Constant Field Values

    - #### TYPE_BLOB

          public static final int TYPE_BLOB

      See Also:
        Constant Field Values

    - #### TYPE_TINYINT

          public static final int TYPE_TINYINT

      See Also:
        Constant Field Values

    - #### TYPE_BIT

          public static final int TYPE_BIT

      See Also:
        Constant Field Values

    - #### TYPE_VARBIT

          public static final int TYPE_VARBIT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOid

          public int getOid()

    - #### getTypeWidth

          public int getTypeWidth()

    - #### getLPConstraint

          public int getLPConstraint()

    - #### getPgType

          public static PgType getPgType​(org.hsqldb.types.Type hType)
                                  throws org.hsqldb.server.RecoverableOdbcFailure

      Throws:
        `org.hsqldb.server.RecoverableOdbcFailure`

    - #### getParameter

          public java.lang.Object getParameter​(java.lang.String inString,
                                               org.hsqldb.Session session)
                                        throws java.sql.SQLException,
                                               org.hsqldb.server.RecoverableOdbcFailure

      This method copied from JDBCPreparedStatement.java. The internal parameter value setter always converts the parameter to the Java type required for data transmission.

      This method will not be called for binary types. Binary values are just loaded directly into the Object parameter array.

      Parameters:
        `inString` - String
        `session` - Session
      Returns:
        Object
      Throws:
        `java.sql.SQLException` - if either argument is not acceptable.
        `org.hsqldb.server.RecoverableOdbcFailure` - for some unsupported features

    - #### valueString

          public java.lang.String valueString​(java.lang.Object datum)